Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class ScriptOptions

    java.lang.Object
      org.ajax4jsf.javascript.ScriptStringBase
          org.richfaces.renderkit.ScriptOptions

All Implemented Interfaces:
  org.ajax4jsf.javascript.ScriptString

    public class ScriptOptions

extends org.ajax4jsf.javascript.ScriptStringBase

Author:
  Maksim Kaszynski

Field Summary
`protected java.util.Map<java.lang.String,java.lang.Object>` | `opts`

Constructor Summary
`ScriptOptions(javax.faces.component.UIComponent component)`

Method Summary
`void` | `addEventHandler(java.lang.String event)`
`void` | `addEventHandler(java.lang.String event, org.ajax4jsf.javascript.JSFunctionDefinition definition)`
`void` | `addEventHandler(java.lang.String event, java.lang.String handler)`
`void` | `addOption(java.lang.String name)`
`void` | `addOption(java.lang.String name, java.lang.Object value)`
`void` | `appendScript(java.lang.StringBuffer functionString)`
`java.util.Map<java.lang.String,java.lang.Object>` | `getMap()`
`void` | `merge(ScriptOptions anotherOptions)`

Methods inherited from class org.ajax4jsf.javascript.ScriptStringBase
`toScript, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### opts

    protected java.util.Map<java.lang.String,java.lang.Object> opts

Constructor Detail

### ScriptOptions

    public ScriptOptions(javax.faces.component.UIComponent component)

Method Detail

### appendScript

    public void appendScript(java.lang.StringBuffer functionString)

### addOption

    public void addOption(java.lang.String name)

### addOption

    public void addOption(java.lang.String name,
                          java.lang.Object value)

### addEventHandler

    public void addEventHandler(java.lang.String event,
                                java.lang.String handler)

### addEventHandler

    public void addEventHandler(java.lang.String event)

### addEventHandler

    public void addEventHandler(java.lang.String event,
                                org.ajax4jsf.javascript.JSFunctionDefinition definition)

### getMap

    public java.util.Map<java.lang.String,java.lang.Object> getMap()

### merge

    public void merge(ScriptOptions anotherOptions)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.